# Changelog

All notable changes to this project will be documented in this file.

## [22.10.0] - 2022-10-25

## Added
* Add an Asynchronous GitHub API #446 [9ed6aa3](https://github.com/greenbone/pontos/commit/9ed6aa3)
* Improve typing for AsyncDownloadProgressIterable [2d7537d](https://github.com/greenbone/pontos/commit/2d7537d)
* Add async API for uploading release assets to GitHub [48a2666](https://github.com/greenbone/pontos/commit/48a2666)
* Add an AsyncIterator for uploading binary content from a Path [866a5fe](https://github.com/greenbone/pontos/commit/866a5fe)
* Add async GitHub download release assets API [9299ee3](https://github.com/greenbone/pontos/commit/9299ee3)
* Add async GitHub API for downloading release zip and tarball files [e58f02d](https://github.com/greenbone/pontos/commit/e58f02d)
* Add async GitHub API for downloading artifacts [3a46a44](https://github.com/greenbone/pontos/commit/3a46a44)
* Add async GitHub client stream method [b6de04c](https://github.com/greenbone/pontos/commit/b6de04c)
* Add new helpers for async download with progress [0fd5fe4](https://github.com/greenbone/pontos/commit/0fd5fe4)
* Add test for async creating a simple GitHub relase [81596cc](https://github.com/greenbone/pontos/commit/81596cc)
* Add tests for async GitHub artifacts API [038a448](https://github.com/greenbone/pontos/commit/038a448)
* Add async test for a simple GitHub pull request update [ba291f0](https://github.com/greenbone/pontos/commit/ba291f0)
* Add tests for async GitHub labels API [6ad0e1b](https://github.com/greenbone/pontos/commit/6ad0e1b)
* Add tests for async GitHub workflows API [9e74c2a](https://github.com/greenbone/pontos/commit/9e74c2a)
* Add tests for async GitHub releases API [e1b055a](https://github.com/greenbone/pontos/commit/e1b055a)
* Add tests for async GitHub organizations API [5fae080](https://github.com/greenbone/pontos/commit/5fae080)
* Add tests for async GitHub pull requests API [640b1ae](https://github.com/greenbone/pontos/commit/640b1ae)
* Add async tests for GitHub contents API [c429dfe](https://github.com/greenbone/pontos/commit/c429dfe)
* Add class for mocking an AsyncIterator from an Iterable [edc4c22](https://github.com/greenbone/pontos/commit/edc4c22)
* Add tests for async GitHub branches API [2f852da](https://github.com/greenbone/pontos/commit/2f852da)
* Add tests for GitHubAsyncRESTClient [b70e3c4](https://github.com/greenbone/pontos/commit/b70e3c4)
* Export GitHubAsyncRESTApi from pontos.github.api [29c36a4](https://github.com/greenbone/pontos/commit/29c36a4)
* Add async GitHub workflows API [97be2ef](https://github.com/greenbone/pontos/commit/97be2ef)
* Add async GitHub releases API [42fd883](https://github.com/greenbone/pontos/commit/42fd883)
* Add async GitHub API for pull requests [d693a9c](https://github.com/greenbone/pontos/commit/d693a9c)
* Add async GitHub labels API [aec85ab](https://github.com/greenbone/pontos/commit/aec85ab)
* Add async GitHub contents API [248c276](https://github.com/greenbone/pontos/commit/248c276)
* Add async banches GitHub API [17e906f](https://github.com/greenbone/pontos/commit/17e906f)
* Add a GitHubAsyncRESTApi class [d3434fe](https://github.com/greenbone/pontos/commit/d3434fe)
* Implement classes for async organization and artifacts GitHub API [2748e58](https://github.com/greenbone/pontos/commit/2748e58)
* Add new async HTTP client class for GitHub requests [9b49a6b](https://github.com/greenbone/pontos/commit/9b49a6b)
* Add cli for input and output variables of GitHub Actions [b2b821f](https://github.com/greenbone/pontos/commit/b2b821f)
* Update Actions output due to changes in GitHub [796bdba](https://github.com/greenbone/pontos/commit/796bdba)
* unittest create tag no date no github_object_type [3b62728](https://github.com/greenbone/pontos/commit/3b62728)
* unittest create tag argparser [1fa8dff](https://github.com/greenbone/pontos/commit/1fa8dff)
* unittest for git.tag [0f3b80b](https://github.com/greenbone/pontos/commit/0f3b80b)
* unittest test_create_tag_reference [5672f04](https://github.com/greenbone/pontos/commit/5672f04)
* Unittest create_tag [ffae2fb](https://github.com/greenbone/pontos/commit/ffae2fb)
* unittest for create_tag cmd function [f60b266](https://github.com/greenbone/pontos/commit/f60b266)
* Use git_object_type and git_object var names [86ffe7f](https://github.com/greenbone/pontos/commit/86ffe7f)
* Allow None var for git_object_type [e139dc7](https://github.com/greenbone/pontos/commit/e139dc7)
* tag create cmd [6362ad3](https://github.com/greenbone/pontos/commit/6362ad3)
* Create tag function for arg parser [020b00d](https://github.com/greenbone/pontos/commit/020b00d)
* create_github_tag and create_github_tag_reference [698b63e](https://github.com/greenbone/pontos/commit/698b63e)
* git tag support [c4e7dba](https://github.com/greenbone/pontos/commit/c4e7dba)
* more unittests [63b5f15](https://github.com/greenbone/pontos/commit/63b5f15)
* some defaults [31e031e](https://github.com/greenbone/pontos/commit/31e031e)
* some unittests [28131f7](https://github.com/greenbone/pontos/commit/28131f7)
* Doc to cmds [12507a8](https://github.com/greenbone/pontos/commit/12507a8)
* store action to argparser [aaa8f0a](https://github.com/greenbone/pontos/commit/aaa8f0a)
* Init github release cmd [da4cc8f](https://github.com/greenbone/pontos/commit/da4cc8f)
* Add py.typed file (PEP 561) to support finding types [8a947bd](https://github.com/greenbone/pontos/commit/8a947bd)

## Changed
* Improve GitHub async client stream tests [e7b6b5b](https://github.com/greenbone/pontos/commit/e7b6b5b)
* Make the upload release artifacts test reliable [5172e57](https://github.com/greenbone/pontos/commit/5172e57)
* Extend GitHub client API to allow posting binary content [296c82e](https://github.com/greenbone/pontos/commit/296c82e)
* Allow to pass full URL to GitHub API client methods [62863f8](https://github.com/greenbone/pontos/commit/62863f8)
* Allow to pass a full url to async github client stream method [11d7c13](https://github.com/greenbone/pontos/commit/11d7c13)
* Extract getting GitHub args and api url into own private methods [0826e49](https://github.com/greenbone/pontos/commit/0826e49)
* Avoid printing output to console in JS update_version tests [cb90b85](https://github.com/greenbone/pontos/commit/cb90b85)
* Ensure that test files are removed if a test failes [a4f193b](https://github.com/greenbone/pontos/commit/a4f193b)

## Bug Fixes
* argparser tag create [a92ad0c](https://github.com/greenbone/pontos/commit/a92ad0c)
* code doc [b0f58ba](https://github.com/greenbone/pontos/commit/b0f58ba)
* unittest [b20bcaf](https://github.com/greenbone/pontos/commit/b20bcaf)
* unused import [084aca5](https://github.com/greenbone/pontos/commit/084aca5)
* remove owner arg it is not required [e57c849](https://github.com/greenbone/pontos/commit/e57c849)
* Remove useless help=() [da08d52](https://github.com/greenbone/pontos/commit/da08d52)
* Change gobject and otype vars to git_object and git_object_type [f48c49f](https://github.com/greenbone/pontos/commit/f48c49f)
* cleanup argparser [8b90405](https://github.com/greenbone/pontos/commit/8b90405)
* Moved datetime call into function [23356ab](https://github.com/greenbone/pontos/commit/23356ab)
* Function names [7e8bfea](https://github.com/greenbone/pontos/commit/7e8bfea)
* Remove tag_push function [8363ee6](https://github.com/greenbone/pontos/commit/8363ee6)
* Remove body template from github release [3356e09](https://github.com/greenbone/pontos/commit/3356e09)
* help description [dacffdc](https://github.com/greenbone/pontos/commit/dacffdc)
* Release require existing git tag [3e394ef](https://github.com/greenbone/pontos/commit/3e394ef)

[22.10.0]: https://github.com/greenbone/pontos/compare/v22.9.6...22.10.0