# Changelog

All notable changes to this project will be documented in this file.

## [22.11.0] - 2022-11-24

## Added
* Add git checkout API [7b2d879](https://github.com/greenbone/pontos/commit/7b2d879)
* Add git API for adding a remote repository [d350db0](https://github.com/greenbone/pontos/commit/d350db0)
* Add force argument to Git.push [6c5e3f1](https://github.com/greenbone/pontos/commit/6c5e3f1)
* Add test for setting follow_tags to False for Git.push [be49a67](https://github.com/greenbone/pontos/commit/be49a67)
* Add Git.fetch API [1a3f2a3](https://github.com/greenbone/pontos/commit/1a3f2a3)
* Add strategy argument for Git.rebase method [f99b0ac](https://github.com/greenbone/pontos/commit/f99b0ac)
* Add async GitHub API for setting permissions of team in a repo [f9a07d1](https://github.com/greenbone/pontos/commit/f9a07d1)
* Add a GitHub Permission enum [63bdc85](https://github.com/greenbone/pontos/commit/63bdc85)
* Add allow_update_branch argument to repositories.create API [2ffaac0](https://github.com/greenbone/pontos/commit/2ffaac0)
* Add new GitHub models and tests for the models [cd74bef](https://github.com/greenbone/pontos/commit/cd74bef)
* Add member filter and role to members github script [daed940](https://github.com/greenbone/pontos/commit/daed940)
* Add repository type to repositories github script [ada8c71](https://github.com/greenbone/pontos/commit/ada8c71)
* Add small example GitHub scripts [312dbba](https://github.com/greenbone/pontos/commit/312dbba)
* Add explicit typing for methods that return None [1cfdbac](https://github.com/greenbone/pontos/commit/1cfdbac)
* Add GitHub Models for branch protection rules [29942dd](https://github.com/greenbone/pontos/commit/29942dd)
* Add GitHub Model class for Repository and License data [bfdd789](https://github.com/greenbone/pontos/commit/bfdd789)
* Add base classes for GitHub Models [a698ffd](https://github.com/greenbone/pontos/commit/a698ffd)
* Enable http2 for GitHub async Client [ebe2c29](https://github.com/greenbone/pontos/commit/ebe2c29)
* Add add_member async GitHub API [36cc943](https://github.com/greenbone/pontos/commit/36cc943)
* Add async API to list repos of a team [359e68b](https://github.com/greenbone/pontos/commit/359e68b)
* Add async GitHub API for removing team members [d601e98](https://github.com/greenbone/pontos/commit/d601e98)
* Add async GitHub API for adding and updating team members [a95d16f](https://github.com/greenbone/pontos/commit/a95d16f)
* Add async GitHub API for getting members of a team [be293e0](https://github.com/greenbone/pontos/commit/be293e0)
* Add async GitHub API to delete a organization team [a6c6e8a](https://github.com/greenbone/pontos/commit/a6c6e8a)
* Add async GitHub API for updating team information [30b7293](https://github.com/greenbone/pontos/commit/30b7293)
* Add async GitHub API for getting a single team [9a19ecc](https://github.com/greenbone/pontos/commit/9a19ecc)
* Add async GitHub API to create teams [c220db8](https://github.com/greenbone/pontos/commit/c220db8)
* Add async GitHub API for getting teams of an organziation [eb43910](https://github.com/greenbone/pontos/commit/eb43910)
* Add async API for managing outside collaborators [3a321d6](https://github.com/greenbone/pontos/commit/3a321d6)
* Add async API for removing a member from an organization [f865df1](https://github.com/greenbone/pontos/commit/f865df1)
* Add async API for inviting user to an organization [498846d](https://github.com/greenbone/pontos/commit/498846d)
* Add error class for GitHub API errors [b942660](https://github.com/greenbone/pontos/commit/b942660)
* Add async API for getting organization members [d965f20](https://github.com/greenbone/pontos/commit/d965f20)
* Add async API to remove all required status checks [3b656ac](https://github.com/greenbone/pontos/commit/3b656ac)
* Add async API to update required status checks [7c0003b](https://github.com/greenbone/pontos/commit/7c0003b)
* Add patch method to GitHubAsyncRestClient [ff3998e](https://github.com/greenbone/pontos/commit/ff3998e)
* Add async API to enable/disable required signed commits [9e70606](https://github.com/greenbone/pontos/commit/9e70606)
* Add missing required_signatures argument for branch protection [aadb100](https://github.com/greenbone/pontos/commit/aadb100)
* Add async API to enable/disable enfore admin branch protection [bd529c1](https://github.com/greenbone/pontos/commit/bd529c1)
* Add async GitHub API for deleting and updating branch protection rules [c49fb91](https://github.com/greenbone/pontos/commit/c49fb91)
* Add put method to GitHubAsyncRestClient [05a16d7](https://github.com/greenbone/pontos/commit/05a16d7)
* Add CLI for running Pontos GitHub Scripts [754fcc5](https://github.com/greenbone/pontos/commit/754fcc5)
* Add a GitHub scripting API [fac3872](https://github.com/greenbone/pontos/commit/fac3872)
* Add a base PontosError exception class [4aec85e](https://github.com/greenbone/pontos/commit/4aec85e)
* Add an async GitHub API for handling repositories [1a70d1d](https://github.com/greenbone/pontos/commit/1a70d1d)
* Add a deprecated decorator to raise deprecation warnings [cbdc4ff](https://github.com/greenbone/pontos/commit/cbdc4ff)

## Changed
* Adjust example GitHub scripts for model usage [13c8c4b](https://github.com/greenbone/pontos/commit/13c8c4b)
* Refactor async GitHub API to return models [01591d8](https://github.com/greenbone/pontos/commit/01591d8)
* Move update_from_applied_settings to branch API [6ad9f22](https://github.com/greenbone/pontos/commit/6ad9f22)
* Extend Repository model for optinal and additional properties [4b11066](https://github.com/greenbone/pontos/commit/4b11066)
* Move TeamPrivacy and TeamRole enums to base model module [a0da85c](https://github.com/greenbone/pontos/commit/a0da85c)
* Improve error message for http issues in GitHub scripts [704f93d](https://github.com/greenbone/pontos/commit/704f93d)
* Use AsyncIterators for async GitHub API returning several values [1ab00c4](https://github.com/greenbone/pontos/commit/1ab00c4)
* Support Python 3.11 [f31cd34](https://github.com/greenbone/pontos/commit/f31cd34)
* Run all workflows on Python 3.10 now [b18e6d0](https://github.com/greenbone/pontos/commit/b18e6d0)
* Format workflows and update actions [ca7aa3c](https://github.com/greenbone/pontos/commit/ca7aa3c)
* Set defaults for updating branch protection rules [7c709d4](https://github.com/greenbone/pontos/commit/7c709d4)
* Allow PUT and POST request without data [40fc1e5](https://github.com/greenbone/pontos/commit/40fc1e5)
* Move add_sys_path, unload_module and ensure_unload_module to helpers [aa52333](https://github.com/greenbone/pontos/commit/aa52333)
* Extract the default float timeout into a module variable [6d022fc](https://github.com/greenbone/pontos/commit/6d022fc)

## Bug Fixes
* Set required dependent args for updating branch protection rules [d39d0bf](https://github.com/greenbone/pontos/commit/d39d0bf)
* Make github argparser tests independent of the current environment [41498d1](https://github.com/greenbone/pontos/commit/41498d1)
* Set required checks if it is an empty list [6f6ccf4](https://github.com/greenbone/pontos/commit/6f6ccf4)

[22.11.0]: https://github.com/greenbone/pontos/compare/v22.9.6...22.11.0