# Changelog

All notable changes to this project will be documented in this file.

## [22.12.1] - 2022-12-27

## Added
* Add async GitHub API for tags [5a180c0](https://github.com/greenbone/pontos/commit/5a180c0)
* Add an enum_or_value function [773eddf](https://github.com/greenbone/pontos/commit/773eddf)
* Add typings for Async GitHub API instances [8558064](https://github.com/greenbone/pontos/commit/8558064)
* NotImplementedError when calling get_current_version() [63be4f3](https://github.com/greenbone/pontos/commit/63be4f3)
* Add an async API for querying the NIST NVD CPE REST interface (#523) [5065c13](https://github.com/greenbone/pontos/commit/5065c13)
* Add test for querying a CVE and the API returns an empty array [43df2b2](https://github.com/greenbone/pontos/commit/43df2b2)
* Add test for querying a single CPE [a8bb1ab](https://github.com/greenbone/pontos/commit/a8bb1ab)
* Add tests for convert_camel_case and format_date NVD functions [ed7ef12](https://github.com/greenbone/pontos/commit/ed7ef12)
* Add API for qerying CPE information [caed214](https://github.com/greenbone/pontos/commit/caed214)
* Add a model class for NVD CPE information [b41ddd0](https://github.com/greenbone/pontos/commit/b41ddd0)
* Add tests for NVDApi base class [cf01c03](https://github.com/greenbone/pontos/commit/cf01c03)
* Add an async API for querying the NIST NVD CVE REST interface (#515) [2fbd9bc](https://github.com/greenbone/pontos/commit/2fbd9bc)
* Add tests for basic model type parsing [2f94711](https://github.com/greenbone/pontos/commit/2f94711)
* Allow to parse datetime values from dicts for Model instances [2e397c3](https://github.com/greenbone/pontos/commit/2e397c3)
* Add a snake_case function to convert CamelCase into snake_case [ab65272](https://github.com/greenbone/pontos/commit/ab65272)

## Changed
* Update and add tests for pontos-github commands [3a5d1ea](https://github.com/greenbone/pontos/commit/3a5d1ea)
* Extend temp_file testing context manager to allow empty content [d3a14bd](https://github.com/greenbone/pontos/commit/d3a14bd)
* Rewite pontos-github CLI to use async GitHub API [be5a6eb](https://github.com/greenbone/pontos/commit/be5a6eb)
* Ensure links are rendered for URLs in displayed in GitHub scripts [48396d9](https://github.com/greenbone/pontos/commit/48396d9)
* adjust workflow-run GitHub script for model changes [891709a](https://github.com/greenbone/pontos/commit/891709a)
* Allow str or int for GitHub API id arguments [6acf57d](https://github.com/greenbone/pontos/commit/6acf57d)
* Update async GitHub API to allow enums and corresponding str value [2e4d236](https://github.com/greenbone/pontos/commit/2e4d236)
* Move all enums to model module and update models [a26368d](https://github.com/greenbone/pontos/commit/a26368d)
* Improve typings for async GitHub artifacts API [366d4d2](https://github.com/greenbone/pontos/commit/366d4d2)
* Use python-dateutil for parsing ISO dates [18b3bd8](https://github.com/greenbone/pontos/commit/18b3bd8)
* Testing [95bb8aa](https://github.com/greenbone/pontos/commit/95bb8aa)
* Extract a NVDApi from CVEApi [254a958](https://github.com/greenbone/pontos/commit/254a958)
* Improve parsing Unions from dict for Model classes [116f2b3](https://github.com/greenbone/pontos/commit/116f2b3)
* Generalize GitHubModel into a base Model class [dc603cc](https://github.com/greenbone/pontos/commit/dc603cc)

## Bug Fixes
* Linting [e746420](https://github.com/greenbone/pontos/commit/e746420)
* mypy-typing in updateheader.py [f91047d](https://github.com/greenbone/pontos/commit/f91047d)
* Adjust the comparison value of an mockassertion in test_git. Checked for call with int, call with string is correct [f72260b](https://github.com/greenbone/pontos/commit/f72260b)
* Typing git.py [41c411d](https://github.com/greenbone/pontos/commit/41c411d)
* Syntax-error [a254e79](https://github.com/greenbone/pontos/commit/a254e79)
* typing in version.py [2631ca2](https://github.com/greenbone/pontos/commit/2631ca2)
* Linting [362cab6](https://github.com/greenbone/pontos/commit/362cab6)
* typing terminal.py [b633b04](https://github.com/greenbone/pontos/commit/b633b04)

[22.12.1]: https://github.com/greenbone/pontos/compare/v22.9.6...22.12.1